Subject: bug#68390: Emacs display rendering problem

From: Sunil Matta <[email-masked]>
Date: Thu, 11 Jan 2024 17:50:10 +0000 (UTC)

Issue: Emacs display is very buggy and unusable after latest Fedora 38 software updates.
Laptop:OS: Fedora 38 (patches updated as of 1/10/2024)cpu: Intel(R) Core™ i7-2670QM CPU @ 2.20GHz
Emacs: GNU Emacs 28.3 (build 1, x86_64-redhat-linux-gnu, GTK+ Version 3.24.38, cairo version 1.17.8) of 2023-09-23

On my laptop, updated fedora version 38 with latest patches andgetting very buggy behavior display rendering.
I am seeing these issues in my emacs editing sessions. Not sure ifthey happen outside of emacs just yet.Btw, I am using the emacs version that came with Fedora 38, as Iusually do.
While editing buffers in emacs, the display is not updating properly.The point/cursor in multiple locations of the buffer as opposed to justone.Scrolling in a buffer displays remnant text that should have scrolledby on previous lines no longer on the screen.
Moving the point(cursor in a buffer), can make the display to go crazyand display the checker board pattern in the entire emacs window!In addition, this checkerboard pattern remains on the entire emacs window for a few seconds!
PS: I have only seen this behavior in my emacs session as of thismorning when I updated fedora with its regular updates for version 38.I did not upgrade to Fedora 39 just yet.
Also, I have been using Fedora and emacs combo on this same laptop since Fedora single digit version and never seen this problem before.
Thanks,

-S

|  | Virus-free.www.avg.com |